# TBasicListPart Class Reference
[Base Classes for plugins]

Basic List Part class. Derive from this for a default implementation of a list part. More...

Inheritance diagram for TBasicListPart:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | QueryInterface (const MCIID &riid, void **ppvObj)
virtual uint32 MCCOMAPI | AddRef ()
virtual void MCCOMAPI | SelfDrawCell (IMCGraphicContext *graphicContext, const TMCRect &cellRect, int32 inCell, boolean isSelected)
virtual void MCCOMAPI | SelfHiliteCell (IMCGraphicContext *context, const TMCRect &cellRect, int32 inCell, boolean isSelected)
virtual boolean MCCOMAPI | SelfClick (const TMCPoint &mouse, int32 hitCell)
virtual void MCCOMAPI | SelfDoubleClick (const TMCPoint &mouse, int32 hitCell)
virtual void MCCOMAPI | SelfDragDrop (const TMCRect &cellRect, int32 hitCell, const TMCPoint &m2)
virtual void MCCOMAPI | SelfDragCell (int32 fromCell, int32 toCell)
virtual int32 MCCOMAPI | GetMinimumWidth ()

## Detailed Description

Basic List Part class. Derive from this for a default implementation of a list part.

## Member Function Documentation

virtual uint32 MCCOMAPI TBasicListPart::AddRef | ( |  | ) | `[inline, virtual]`

Increments the reference count of the object

Reimplemented from TBasicUnknown.

virtual int32 MCCOMAPI TBasicListPart::GetMinimumWidth | ( |  | ) | `[inline, virtual]`

Implements IMFExListPart.

virtual MCCOMErr MCCOMAPI TBasicListPart::QueryInterface | ( | const MCIID & | riid,
|  | void ** | ppvObj |
| ) |  |  | `[virtual]`

Check if the object supports a given interface and returns a pointer to that interface if it does. Note that QueryInterface will increment the reference count of the object by one if the interface is found.

Parameters:

  | riid | GUID of the interface
  | ppvObj | A pointer to the pointer being returned.

Reimplemented from TBasicUnknown.

virtual boolean MCCOMAPI TBasicListPart::SelfClick | ( | const TMCPoint & | mouse,
|  | int32 | hitCell |
| ) |  |  | `[virtual]`

Implements IMFExListPart.

virtual void MCCOMAPI TBasicListPart::SelfDoubleClick | ( | const TMCPoint & | mouse,
|  | int32 | hitCell |
| ) |  |  | `[virtual]`

Implements IMFExListPart.

virtual void MCCOMAPI TBasicListPart::SelfDragCell | ( | int32 | fromCell,
|  | int32 | toCell |
| ) |  |  | `[virtual]`

Implements IMFExListPart.

virtual void MCCOMAPI TBasicListPart::SelfDragDrop | ( | const TMCRect & | cellRect,
|  | int32 | hitCell,
|  | const TMCPoint & | m2 |
| ) |  |  | `[virtual]`

Implements IMFExListPart.

virtual void MCCOMAPI TBasicListPart::SelfDrawCell | ( | IMCGraphicContext * | graphicContext,
|  | const TMCRect & | cellRect,
|  | int32 | inCell,
|  | boolean | isSelected |
| ) |  |  | `[virtual]`

Implements IMFExListPart.

virtual void MCCOMAPI TBasicListPart::SelfHiliteCell | ( | IMCGraphicContext * | context,
|  | const TMCRect & | cellRect,
|  | int32 | inCell,
|  | boolean | isSelected |
| ) |  |  | `[virtual]`

Implements IMFExListPart.

The documentation for this class was generated from the following file:

- BasicMCFCOMImplementations.h